libzypp 17.38.15

zypp::SigcheckPlugins::Impl Struct Reference

## Public Member Functions
| Impl ()
| Impl (const std::string &cmdline_r, const Pathname &plugindir_r)
| operator bool () const
void | launch (const Pathname &chroot_r=Pathname())

## Public Attributes
Plugins | _plugins

## Detailed Description

Definition at line 150 of file PluginSigcheck.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::SigcheckPlugins::Impl::Impl | ( |  | ) |
| inline

Definition at line 152 of file PluginSigcheck.cc.

## ◆ Impl() [2/2]

zypp::SigcheckPlugins::Impl::Impl | ( | const std::string & | cmdline_r,
|  | const Pathname & | plugindir_r )
| inline

Definition at line 155 of file PluginSigcheck.cc.

## Member Function Documentation

## ◆ operator bool()

zypp::SigcheckPlugins::Impl::operator bool | ( |  | ) | const
| inline explicit

Definition at line 179 of file PluginSigcheck.cc.

## ◆ launch()

void zypp::SigcheckPlugins::Impl::launch | ( | const Pathname & | chroot_r = Pathname() | ) |
| inline

Definition at line 182 of file PluginSigcheck.cc.

## Member Data Documentation

## ◆ _plugins

Plugins zypp::SigcheckPlugins::Impl::_plugins

Note
  Assert the vector is never reallocated!

Definition at line 185 of file PluginSigcheck.cc.

The documentation for this struct was generated from the following file:

- zypp/repo/PluginSigcheck.cc